#include <pthread.h>
#include <unistd.h>
#include "thread.h"
#include "audio.h"
#include "modplayer.h"

static void *thread(void *ptr) {
	start_play(ModPlayer_read,ptr);
	stop_audio();
	return NULL;
}

static pthread_t playerThread;

void start_thread(ModPlayer *player) {
	pthread_create(&playerThread,NULL,thread,player);
}

void join_thread(void) {
	pthread_join(playerThread,NULL);
}

void msleep(int msec) {
	usleep(msec*1000);
}

