#ifndef __SWIRL_H
#define __SWIRL_H

class Swirl {
	public:
		Swirl(int width, int height, int period);
		~Swirl(void);
		void init(void);
		void draw(unsigned int *buffer, int time, int multiplier=6, bool direction=false, int turnTime=0);
	private:
		unsigned int *createPalette(void);
		int width, height;
		int period;
		float trigFact;
		unsigned int *sintable;
		unsigned int *angletable;
		unsigned int *disttable;
};

#endif
